%define major 1
%define libname %mklibname ldb %{major}
%define devname %mklibname ldb -d
%define libpyldbutil %mklibname pyldb-util %{major}
%define devpyldbutil %mklibname pyldb-util -d

Summary:	Library implementing Samba's embedded database
Name:		ldb
Version:	1.1.25
Release:	1
Epoch:		1
License:	GPLv2+
Group:		System/Libraries
Url:		http://ldb.samba.org/
Source0:	http://www.samba.org/ftp/ldb/%{name}-%{version}.tar.gz
Source1:	http://www.samba.org/ftp/ldb/%{name}-%{version}.tar.asc
Source2:	samba-pubkey.asc
BuildRequires:	docbook-style-xsl
BuildRequires:	python-tdb >= 1.3.8
BuildRequires:	python-tevent >= 0.9.26
BuildRequires:	xsltproc
BuildRequires:	openldap-devel
BuildRequires:	pkgconfig(popt)
BuildRequires:	pkgconfig(pytalloc-util) >= 2.1.5
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(talloc) >= 2.1.5
BuildRequires:	pkgconfig(tdb) >= 1.3.8
BuildRequires:	pkgconfig(tevent) >= 0.9.26

%track
prog %{name} = {
	url = http://www.samba.org/ftp/ldb/
	version = %{version}
	regex = %{name}-(__VER__)\.tar\.gz
}

%description
Library implementing Samba's embedded database and utilities for backing up,
restoring and manipulating the database.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Library implementing Samba's embedded database
Group:		System/Libraries

%description -n %{libname}
Library implementing Samba's embedded database.

%files -n %{libname}
%{_libdir}/libldb.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Library implementing Samba's embedded database
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Requires:	pkgconfig(tevent) >= 0.9.25
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Library implementing Samba's embedded database.

%files -n %{devname}
%{_libdir}/libldb.so
%{_libdir}/pkgconfig/ldb.pc
%{_includedir}/ldb*.h

#----------------------------------------------------------------------------

%package -n python-ldb
Summary:	Python bindings to Samba's ldb embedded database
Group:		Development/Python

%description -n python-ldb
Python bindings to Samba's ldb embedded database.

%files -n python-ldb
%{py_platsitedir}/ldb.so
%{py_platsitedir}/_ldb_text.py

#----------------------------------------------------------------------------

%package utils
Summary:	Tools for backing up, restoring, and manipulating Samba's embedded database
Group:		Databases

%description utils
Tools for backing up, restoring, and manipulating Samba's embedded database.

%files utils
%{_bindir}/ldb*
%{_libdir}/ldb
%{_mandir}/man1/ldb*.1*
%{_mandir}/man3/ldb*.3*

#----------------------------------------------------------------------------

%package -n %{libpyldbutil}
Summary:	Utility library for using tdb functions in python
Group:		System/Libraries

%description -n %{libpyldbutil}
Utility library for using tdb functions in python.

%files -n %{libpyldbutil}
%{_libdir}/libpyldb-util.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devpyldbutil}
Summary:	Development files for utility library for using tdb functions in python
Group:		Development/Python
Requires:	%{libpyldbutil} = %{EVRD}
Requires:	pkgconfig(talloc) >= 2.1.3
Provides:	pyldb-util-devel = %{EVRD}

%description -n %{devpyldbutil}
Development files for utility library for using tdb functions in python.

%files -n %{devpyldbutil}
%{_libdir}/libpyldb-util.so
%{_includedir}/pyldb.h
%{_libdir}/pkgconfig/pyldb-util.pc

#----------------------------------------------------------------------------

%prep
%setup -q
sed -i -e 's,http://docbook.sourceforge.net/release/xsl/current,/usr/share/sgml/docbook/xsl-stylesheets,g' docs/builddocs.sh buildtools/wafsamba/wafsamba.py buildtools/wafsamba/samba_conftests.py

# Fix unreadable files
find . -perm 0640 -exec chmod 0644 '{}' \;

%build
# The ldb linker script is incompatible with gold
export LDFLAGS="%{optflags} -fuse-ld=bfd"
%configure2_5x \
	--with-modulesdir=%{_libdir} \
	--bundled-libraries=NONE
%make

%install
%makeinstall_std


%changelog

* Tue Dec 29 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:1.1.25-1
- (061c332) New version 1.1.25


